Mint Token
curl --request POST \
--url https://testnet.walletkit.com/tokens/mint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contract_address": "<string>",
"recipient": "<string>",
"amount": "<string>",
"developer_secret": "<string>",
"user_pin": "<string>"
}
'import requests
url = "https://testnet.walletkit.com/tokens/mint"
payload = {
"contract_address": "<string>",
"recipient": "<string>",
"amount": "<string>",
"developer_secret": "<string>",
"user_pin": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contract_address: '<string>',
recipient: '<string>',
amount: '<string>',
developer_secret: '<string>',
user_pin: '<string>'
})
};
fetch('https://testnet.walletkit.com/tokens/mint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_id": "<string>",
"status": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Tokens
Mint Token
Mints specified amount of token to the recipient.
Mint Token
Headers
Your WalletKit Project ID can be found on the API Keys page in the WalletKit Dashboard.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
Ethereum, Polygon, Base, Avalanche, Polkadot, Vara On testnet, the developer_secret is always "testnet-secret". On mainnet, the developer_secret is set by the developer during account activation.
A 6-digit numeric pin that is only known to the user, set during wallet creation. This pin is required to sign transactions from this wallet.
⌘I